Subject: RE: Events schema (fwd)

From: Libby Miller <[email-masked]>
Date: Tue, 30 Oct 2001 11:49:48 +0000 (GMT)

forwarded at Shannon's request.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Libby Miller
Sent: Monday, October 29, 2001 5:00 PM
To: Judith Pearce
Cc: [email-masked]; [email-masked];
[email-masked]
Subject: Re: Events schema

[sorry about the cross-post]

hi Judith,

We've been working on something that sounds like what you want in the
rdf calendar taskforce [1][2]. We have a draft version of icalendar [3],
the main standard for calendaring, in RDF [4], and I've started to
separate out this very long schema into sections, to make it easier for
people to use. There's a very draft "core" set of properties and classes
[5] as an experiment to see if these are useful as a group. They could
be used in an rss 1.0 channel for example [6].

I've done some content examples for various conferences [7]
illustrating how different namespaces could be combined for describing
calendar events, but note that the schema is in flux and may not be
consistent.

Relatedly, there is also an XML DTD for icalendar [8], and for a simpler
rss channel version see the proposed rss events module [9].

I hope this helps - I'd be interested to know what you think.

all the best

Libby Miller

[1] [email-masked]
[2] http://ilrt.org/discovery/2001/04/calendar
[3] http://www.imc.org/rfc2445
[4] http://ilrt.org/discovery/2001/06/schemas/ical-full/hybrid.rdf
[5] http://ilrt.org/discovery/2001/10/cal-drafts/cal-core.rdf
[6] http://swordfish.rdfweb.org/discovery/2001/10/rss-cal/
[7] http://ilrt.org/discovery/2001/06/content/
[8] http://www.ietf.org/internet-drafts/draft-ietf-calsch-many-xcal-00.txt
[9]
http://groups.yahoo.com/group/rss-dev/files/Modules/Proposed/mod_event.html

On Fri, 19 Oct 2001, Judith Pearce wrote:

> I've asked this question before, but I'm still looking for a simple schema
> for describing events.  I know from previous responses that there's great
> work going on in relation to event modelling but I'm after something much
> more basic - data elements for describing human events - seminars,
meetings,
> exhibitions, projects.  MARC21 has a format for community information but
it
> is too rich. We need something simpler in terms of data element choices
but
> with the granularity to interface with other scheduling systems.
>
> As an example of an application where such a schema would be useful see
> http://www.nla.gov.au/apps/events/. This is generated from a database for
> which we have our own internal schema but we would like to start
exchanging
> information about events with other cultural organisations - eg - to
provide
> combined calendars of events.
>
> There are some calendar standards but they tend to focus on standards for
> exchanging date/time information rather than information about the events
> themselves - eg. agents having a role in relation to the event, location,
> description, etc.
>
> People are also using DC to describe events - and that's fine if you want
to
> describe a mixture of resources, events, services, etc on a website using
a
> single metadata standard - but it doesn't extend to address this need.
>
>
>
>
> Judith Pearce
> Director, Web Services
> National Library of Australia
> CANBERRA  ACT  2601
> Australia
>
> Phone:  +61 2 62621425
> Fax:  +61 2 6273 3648
> Email: [email-masked]
> NLA Web Site:  http://www.nla.gov.au
>